Download it now!
Bug 38814 - Snappier rendering: paint at idle, not on timeout
Summary: Snappier rendering: paint at idle, not on timeout
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2011-06-30 07:09 UTC by Björn Michaelsen
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-06-30 07:09:28 UTC
Snappier rendering: paint at idle, not on timeout

Background: Currently LibreOffice repaints its screen after a given timeout - this is less than ideal - we should instead use an 'idle' concept such as other toolkits use for painting instead of timeouts. This would involve adding a set of prioritised handlers to be run when nothing is coming in from sockets. See vcl/source/window/window.cxx /maPaintTimer/ for the current state of affairs (30ms delay-to-render, 50ms to resize). See also vcl/unx/gtk/app/gtkdata.cxx's impl. of the polling interface: StartTimer / StopTimer etc. we need to add idle handlers with variable priorities / ordering too.

Skills: building, C++, mainloop understanding
Comment 1 Florian Reisinger 2012-05-18 08:56:50 UTC
Deteted "Easyhack" from summary
Comment 2 Björn Michaelsen 2013-10-04 18:48:03 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 Michael Meeks 2014-10-18 20:28:12 UTC
There is work going on on this topic at Munich; with some details in the wiki here: https://wiki.documentfoundation.org/Development/LHM_LiMux/Main_Loop
Comment 4 Robinson Tryon (qubit) 2015-12-14 05:00:15 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillCpp TopicUI)
[NinjaEdit]
Comment 5 Michael Meeks 2016-01-26 16:12:49 UTC
Seems I inadvertently fixed this with the help of the Munich interns for 5.1.
Comment 6 Robinson Tryon (qubit) 2016-02-18 16:37:30 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]